<?xml version="1.0" encoding="utf-8"?>

<creole>
    <files/>
    <containers>
        <container name='domaine' id='27'>
            <service>chrony</service>
            <service_access service='chrony'>
                <port protocol='udp'>123</port>
                <tcpwrapper>chronyd</tcpwrapper>
            </service_access>
            <package>eole-ntp-server-pkg</package>
            <file name='/etc/chrony/chrony.conf' source='chrony-server.conf'/>
            <file name='/etc/apparmor.d/local/usr.sbin.chronyd' source='chrony.apparmor.conf'/>
        </container>
    </containers>
    <variables>
        <family name='services'>
            <variable name='activer_serveur_ntp' type='oui/non' description='Activer le serveur de temps' hidden='True'>
                <value>oui</value>
            </variable>
        </family>
        <family name='NTP'>
            <variable name='ntp_samba' type='ip' description='Adresse du serveur NTP de référence en mode AD' mandatory='True'/>
        </family>
    </variables>
    <constraints>
        <fill name='calc_val' target='ntp_samba'>
            <param type="eole">container_ip_domaine</param>
        </fill>
        <condition name='disabled_if_in' source='activer_serveur_ntp'>
            <param>oui</param>
            <target type='filelist'>chrony-client</target>
        </condition>
    </constraints>
    <help/>
</creole>
<!-- vim: ts=4 sw=4 expandtab
-->

